<?php
/*
File: Carousel.php
Description: Function carousel
Plugin: VC Mega Posts
Author: Ad-theme.com
*/
class vcmpcp_carousel_function extends vcmegaposts_carousel_class {
public function vcmegaposts_carousel_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_carousel_type" 			=> 'type1',
				"vcmp_carousel_excerpt" 		=> 'true',				
				"vcmp_carousel_excerpt_number" 	=> '',
				"vcmp_carousel_date"			=> 'true',
				"vcmp_carousel_date_format" 	=> 'F j, Y g:i a',
				"vcmp_carousel_comments" 		=> 'true',
				"vcmp_carousel_author" 			=> 'true',
				"vcmp_carousel_category" 		=> 'true',
				"vcmp_carousel_views" 			=> 'true',
								
				"vcmp_query_source" 			=> 'wp_posts',
				"vcmp_query_sticky_posts" 		=> 'allposts',
				"vcmp_query_posts_type" 		=> '',
				"vcmp_query_categories" 		=> '',
				"vcmp_query_order" 				=> 'DESC',
				"vcmp_query_orderby" 			=> 'date',
				"vcmp_query_pagination" 		=> '',
				"vcmp_query_pagination_type" 	=> '',
				"vcmp_query_number" 			=> '',
				"vcmp_query_posts_for_page" 	=> '',

				"vcmp_carousel_item" 			=> '1',
				"vcmp_carousel_navigation" 		=> 'true',
				"vcmp_carousel_pagination" 		=> 'true',
				"vcmp_carousel_autoplay" 		=> '',
				"vcmp_carousel_item_padding" 	=> '', 
				
				"vcmp_font_type" 				=> 'vcmp-font-default',
				"vcmp_google_fonts" 			=> '',
				"vcmp_custom_style"				=> '',
				"vcmp_main_color" 				=> '',										
				  
				"vcmp_animate" 					=> 'off',
				"vcmp_animate_effect" 			=> 'fade-in',
				"vcmp_delay" 					=> '800' 
				), 
				$atts)
	);

	if($vcmp_font_type == 'vcmp-google-font') {

			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/

			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');	

	}

	/* LOAD CSS && JS */	
	wp_enqueue_style( 'vcmpcp-normalize' );
	wp_enqueue_style( 'vcmpcp-animations' );
	wp_enqueue_style( 'vcmpcp-fonts' );
	wp_enqueue_style( 'vcmpcp-posts' );
	wp_enqueue_script( 'vcmpcp-appear-js' );
	wp_enqueue_script( 'vcmpcp-animate-js' );
	wp_enqueue_style( 'vcmpcp-owl-carousel' );
	wp_enqueue_style( 'vcmpcp-owl-theme' );
	wp_enqueue_script( 'vcmpcp-owl-carousel-js' );	
	
	/* CHECK VALUE EMPTY */
	if($vcmp_carousel_autoplay == '' || $vcmp_carousel_autoplay == '0') { $vcmp_carousel_autoplay = 'false'; }
	if($vcmp_carousel_excerpt_number == '') { $vcmp_carousel_excerpt_number = '50'; }
	
	$return = '<style type="text/css">';
	if($vcmp_font_type == 'vcmp-google-font') {
		$return .=  '.admpselector-'.$instance.' {
								font-family:'.$font_name_slip.'!important;
								font-style:'.$font_style.'!important;
								font-weight:'.$font_weight.'!important;
						  }';	
	}
	if($vcmp_custom_style == 'on') {
		if($vcmp_carousel_type == 'type1') {
			$return .=  '#admp-carousel-'.$instance.' .owl-item .item .admp-info-left {		
							background:'.$vcmp_main_color.'!important;
						}';
		}
		if($vcmp_carousel_type == 'type2') {
			$return .=  '#admp-carousel-'.$instance.' .admegaposts-thumbs-container:hover .admp-info-left {		
		 	     		background:'.$vcmp_main_color.'!important;
			}';
		}
		if($vcmp_carousel_type == 'type3') {
			$return .=  '#admp-carousel-'.$instance.' .owl-controls .owl-buttons div {		
		 	     		background:'.$vcmp_main_color.'!important;
					}';
		}
	}
	$return .= '</style>';
	
	if($vcmp_carousel_type == 'type3') {
	
		$return .= '<script type="text/javascript">
					  jQuery(document).ready(function($){
							$("#admp-carousel-'.$instance.'").owlCarousel({
								items : '.$vcmp_carousel_item.',
								navigation: '.$vcmp_carousel_navigation.',
								pagination: '.$vcmp_carousel_pagination.',
								autoPlay:	'.$vcmp_carousel_autoplay.',
								navigationText : ["<i class=\'icon-arrow-left\'></i>","<i class=\'icon-arrow-right\'></i>"],							
							}); 					
						}); 
					</script>';			

	} else {

		$return .= '<script type="text/javascript">
					  jQuery(document).ready(function($){
							$("#admp-carousel-'.$instance.'").owlCarousel({
								items : '.$vcmp_carousel_item.',
								navigation: '.$vcmp_carousel_navigation.',
								pagination: '.$vcmp_carousel_pagination.',
								autoPlay:	'.$vcmp_carousel_autoplay.'							
							}); 					
						}); 
					</script>';			
		
	}


		// LOOP QUERY
		$query = vcmegaposts_query($vcmp_query_source,
							$vcmp_query_sticky_posts, 
							$vcmp_query_posts_type, 
							$vcmp_query_categories, 
							$vcmp_query_order, 
							$vcmp_query_orderby, 
							'no', 
							$vcmp_query_pagination_type,
							$vcmp_query_number, 
							$vcmp_query_posts_for_page);


			$return .= '<div class="adclear"></div>';

		if($vcmp_animate == 'on') { // ANIMATION ON
			$return .= '<div class="animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';
		}

		if($vcmp_carousel_type == 'type1') {

			$return .= '<div id="admp-carousel-'.$instance.'" class="owl-carousel'.$instance.' admegaposts posts_carousel_type1 admpselector-'.$instance.'">'; // OPEN MAIN DIV
										
			$count = 0;
			$loop = new WP_Query($query);
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();
			$link = get_permalink(); 
			$categories = get_the_category();	
		
				
			$return .= '<div class="item">';
				
			$return .= '<div class="admegaposts-thumbs-container">'.vcmegaposts_thumbs();
	
			$return .= '</div>';
				
			$return .= '<div class="admp-info-left">';				
			$return .= '<div class="admp-details">'.vcmegaposts_post_info(false,$vcmp_carousel_comments,$vcmp_carousel_author,$vcmp_carousel_category,$vcmp_carousel_views,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_carousel_date_format).'</div>';
			$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';
			if($vcmp_carousel_date == 'true') {
				$return .= '<span class="admp-date"><i class="icon-calendar"></i>'.get_the_date($vcmp_carousel_date_format).'</span>';
			}
			if($vcmp_carousel_excerpt == 'true') {
				$return .= '<span class="admp-content">'.vcmegaposts_excerpt($vcmp_carousel_excerpt_number).'</span>';
			}
			$return .= '<a class="admp-read-more" href="'.$link.'">'.__('Read More','vcmegaposts').'</a>';
			$return .= '</div>';			
			$return .= '</div>';
			
			$count++;
			endwhile;
			}		
			
			$return .= '</div>'; // CLOSE MAIN DIV
		
		} elseif($vcmp_carousel_type == 'type2') {
			
			$return .= '<div id="admp-carousel-'.$instance.'" class="owl-carousel'.$instance.' admegaposts posts_carousel_type2 admpselector-'.$instance.'">'; // OPEN MAIN DIV
			
			$count = 0;
			$loop = new WP_Query($query);
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();
			$link = get_permalink(); 
			$categories = get_the_category();	
				
			$return .= '<div class="item">';
				
			$return .= '<div class="admegaposts-thumbs-container">'.vcmegaposts_thumbs();
	
			$return .= '';
				
			$return .= '<div class="admp-info-left">';				
			if($vcmp_carousel_date == 'true') {
				$return .= '<span class="admp-date"><i class="icon-calendar"></i>'.get_the_date($vcmp_carousel_date_format).'</span>';
			}		
			$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';
			if($vcmp_carousel_excerpt == 'true') {
				$return .= '<span class="admp-content">'.vcmegaposts_excerpt($vcmp_carousel_excerpt_number).'</span><a class="admp-read-more" href="'.$link.'">'.__('Read More','vcmegaposts').'</a>';
			}
			$return .= '<div class="admp-details">'.vcmegaposts_post_info(false,$vcmp_carousel_comments,$vcmp_carousel_author,$vcmp_carousel_category,$vcmp_carousel_views,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_carousel_date_format).'</div>';
			
			$return .= '</div></div>';			
			$return .= '</div>';			
				
			$count++;
			endwhile;
			}		
			
			$return .= '</div>'; // CLOSE MAIN DIV			
			
			
		} elseif($vcmp_carousel_type == 'type3') {
		
			$return .= '<div class="admegaposts">
						<div id="admp-carousel-'.$instance.'" class="owl-carousel'.$instance.' admegaposts posts_carousel_type3 admpselector-'.$instance.'">'; // OPEN MAIN DIV
			
			$count = 0;
			$loop = new WP_Query($query);
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();
			$link = get_permalink(); 
			$categories = get_the_category();	
		
				
			$return .= '<div class="item">';
				
			$return .= '<div class="admegaposts-thumbs-container">'.vcmegaposts_thumbs();
	
			$return .= '';
				
			$return .= '<div class="admp-info-left">';					
			$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';
			$return .= '</div></div>';			
			$return .= '</div>';

			$count++;
			endwhile;
		}		
		
		$return .= '</div></div>'; // CLOSE MAIN DIV		
		
		
		}
		if($vcmp_animate == 'on') { 
		
			$return .= '</div>';
			
		}
		
		return $return;
    } 
}
new vcmpcp_carousel_function();
?>