<?php
/*
File: post_display.php
Description: Function Post Display
Plugin: VC Mega Posts
Author: Ad-theme.com
*/
class vcmpcp_post_display_function extends vcmegaposts_post_display_class {
public function vcmegaposts_post_display_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_post_display_type" 			=> 'posts_type1',
				"vcmp_post_display_excerpt" 		=> 'true',				
				"vcmp_post_display_excerpt_number" 	=> '50',
				"vcmp_post_display_date"			=> 'true',
				"vcmp_post_display_date_format" 	=> 'F j, Y g:i a',
				"vcmp_post_display_comments" 		=> 'true',
				"vcmp_post_display_author" 			=> 'true',
				"vcmp_post_display_category" 		=> 'true',
				"vcmp_post_display_views" 			=> 'true',
				"columns" 							=> '1',
								
				"vcmp_query_source" 				=> 'wp_posts',
				"vcmp_query_sticky_posts" 			=> 'allposts',
				"vcmp_query_posts_type" 			=> '',
				"vcmp_query_categories" 			=> '',
				"vcmp_query_order" 					=> 'DESC',
				"vcmp_query_orderby" 				=> 'date',
				"vcmp_query_pagination" 			=> 'yes',
				"vcmp_query_pagination_type" 		=> 'numeric',
				"vcmp_query_number" 				=> '10',
				"vcmp_query_posts_for_page" 		=> '10',
				
				"vcmp_font_type" 					=> 'vcmp-font-default',
				"vcmp_google_fonts" 				=> '',
				"vcmp_custom_style"					=> 'off',
				"vcmp_main_color" 					=> '',										
				  
				"vcmp_animate" 						=> 'off',
				"vcmp_animate_effect" 				=> 'fade-in',
				"vcmp_delay" 						=> '800' 
				), 
				$atts)
	);

	if($vcmp_font_type == 'vcmp-google-font') {

			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/

			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');	

	}

	/* LOAD CSS && JS */	
	wp_enqueue_style( 'vcmpcp-normalize' );
	wp_enqueue_style( 'vcmpcp-animations' );
	wp_enqueue_style( 'vcmpcp-fonts' );
	wp_enqueue_style( 'vcmpcp-posts' );
	wp_enqueue_style( 'vcmpcp-style' );
	wp_enqueue_script( 'vcmpcp-appear-js' );
	wp_enqueue_script( 'vcmpcp-animate-js' );	
	
	/* CHECK VALUE EMPTY */
	if($vcmp_post_display_excerpt_number == '') { $vcmp_post_display_excerpt_number = '50'; }
	
	$return = '<style type="text/css">';
	if($vcmp_font_type == 'vcmp-google-font') {
		$return .=  '.admpselector-'.$instance.' {
								font-family:'.$font_name_slip.'!important;
								font-style:'.$font_style.'!important;
								font-weight:'.$font_weight.'!important;
						  }';	
	}
	if($vcmp_custom_style == 'on') {
		if($vcmp_post_display_type == 'posts_type1') {
			$return .=  '.admegaposts.posts_type1.admpselector-'.$instance.' .ad_two_third .admegaposts-icon-format {
							background:'.$vcmp_main_color.'!important;
						}
						.admegaposts.posts_type1.admpselector-'.$instance.' .admp-info-right {
							background:'.$vcmp_main_color.'!important;
						}';
		}
		if($vcmp_post_display_type == 'posts_type2') {
			$return .=  '.admegaposts.posts_type2.admpselector-'.$instance.' .firstpost .admp-details, .admegaposts.posts_type2.admpselector-'.$instance.' .moreposts {
						border-top-color:'.$vcmp_main_color.'!important;
						}';
		}
		if($vcmp_post_display_type == 'type3') {
			$return .=  '#admp-post_display-'.$instance.' .owl-controls .owl-buttons div {		
		 	     		background:'.$vcmp_main_color.'!important;
					}';
		}
		if($vcmp_post_display_type == 'posts_type4') {
			$return .=  '.admegaposts.posts_type4.admpselector-'.$instance.' .admp-views {
							background:'.$vcmp_main_color.'!important;
						}
						.admegaposts.posts_type4.admpselector-'.$instance.' .container-display4 {
							border-bottom-color:'.$vcmp_main_color.'!important;
						}';
		}
		if($vcmp_post_display_type == 'posts_type5') {
			$return .=  '.admegaposts.posts_type5.admpselector-'.$instance.' .admp-info-left.ad_one_half {
							background:'.$vcmp_main_color.'!important;
						}
						.admegaposts.posts_type5.admpselector-'.$instance.' .admp-info-right.ad_one_half.ad_last .admp-title {
							border-bottom-color:'.$vcmp_main_color.'!important;
						}';
		}		
	}
	$return .= '</style>';


		// LOOP QUERY
		$query = vcmegaposts_query($vcmp_query_source,
							$vcmp_query_sticky_posts, 
							$vcmp_query_posts_type, 
							$vcmp_query_categories, 
							$vcmp_query_order, 
							$vcmp_query_orderby, 
							$vcmp_query_pagination, 
							$vcmp_query_pagination_type,
							$vcmp_query_number, 
							$vcmp_query_posts_for_page);


			$return .= '<div class="adclear"></div>';

		if($vcmp_animate == 'on') { // ANIMATION ON
			$return .= '<div class="animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';
		}


			$return .= '<div class="admegaposts '.$vcmp_post_display_type.' admpselector-'.$instance.'">';
										
			$count = 0;
			
			if($vcmp_post_display_type == 'posts_type3') {
				$count = 1;	
			}
			
			$loop = new WP_Query($query);
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();
			$link = get_permalink(); 
			$categories = get_the_category();	








		/**********************************************************************/
		/******************************** TYPE 1 ******************************/
		/**********************************************************************/
		
		if($vcmp_post_display_type == 'posts_type1') {
			
			if($count == '0') {
				
				$return .= '<div class="ad_two_third">';
				
				$return .= '<div class="admegaposts-thumbs-container">'.vcmegaposts_thumbs();
				
				$return .= '<span class="admegaposts-icon-format">'.vcmegaposts_format_icon().'</span>';
				
				$return .= '</div>';
				
				$return .= '<div class="admp-info-left">';
					$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';
					if($vcmp_post_display_date == 'true') {
						$return .= '<span class="admp-date"><i class="icon-calendar"></i>'.get_the_date($vcmp_post_display_date_format).'</span>';
					}
					if($vcmp_post_display_excerpt == 'true') {
						$return .= '<span class="admp-content">'.vcmegaposts_excerpt($vcmp_post_display_excerpt_number).'</span>';
					}
				$return .= '</div>';
				
				$return .= '<div class="admp-details">'.vcmegaposts_post_info(false,$vcmp_post_display_comments,$vcmp_post_display_author,$vcmp_post_display_category,$vcmp_post_display_views,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_post_display_date_format).'</div>';
				
				$return .= '</div>';
			
			} else {
			
				$return .= '<div class="ad_one_third ad_last">';
				
				$return .= '<div class="admegaposts-thumbs-container">'.vcmegaposts_thumbs().'</div>';
				
				$return .= '<div class="admp-info-right">
							<span class="admegaposts-icon-format">'.vcmegaposts_format_icon().'</span>
							<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>
							</div>';
				
				$return .= '</div>';		
			
			}	


		/**********************************************************************/
		/******************************** TYPE 2 ******************************/
		/**********************************************************************/
		
		} elseif($vcmp_post_display_type == 'posts_type2') {
			
		if($count == '0') {
			
			$return .= '<div class="admp-columns-1 firstpost">';
			
			$return .= '<div class="admegaposts-thumbs-container">'.vcmegaposts_thumbs();
			
			$return .= '</div>';
			
			$return .= '<div class="admp-info-left">';
				$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';
				$return .= '<span class="admp-content">'.vcmegaposts_excerpt($vcmp_post_display_excerpt_number).'<a href="'.$link.'">...</a></span>';
			$return .= '</div>';
			
			$return .= '<div class="admp-details">'.vcmegaposts_post_info($vcmp_post_display_date,$vcmp_post_display_comments,$vcmp_post_display_author,$vcmp_post_display_category,$vcmp_post_display_views,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_post_display_date_format).'</div>';
			
			$return .= '</div>';
		
		} else {
		
			$return .= '<div class="admp-columns-1 moreposts">';
			
			$return .= '<div class="admegaposts-thumbs-container admp_one_third">'.vcmegaposts_thumbs().'</div>';
			
			$return .= '<div class="admp-info-right admp_two_third ad_last">';
			$return .= '<span class="admp-category">'.vcmegaposts_post_info($vcmp_post_display_date,false,false,false,false,false,false,$vcmp_post_display_date_format).'</span>';						
			$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';
			$return .= '<span class="admp-details">'.vcmegaposts_post_info(false,$vcmp_post_display_comments,$vcmp_post_display_author,$vcmp_post_display_category,$vcmp_post_display_views,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_post_display_date_format).'</span>';						
			$return .= '</div><div class="adclear"></div>';
			
			$return .= '</div>';		
		
		}			
			
		/**********************************************************************/
		/******************************** TYPE 3 ******************************/
		/**********************************************************************/
		
		} elseif($vcmp_post_display_type == 'posts_type3') {
			
			$return .= '<div class="admp-columns-'.$columns.'">';
				
			$return .= '<div class="admegaposts-thumbs-container">'.vcmegaposts_thumbs();
	
			$return .= '</div>';
				
			$return .= '<div class="admp-info-left">';				
			$return .= '<div class="admp-details">'.vcmegaposts_post_info(false,$vcmp_post_display_comments,$vcmp_post_display_author,$vcmp_post_display_category,$vcmp_post_display_views,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_post_display_date_format).'</div>';
			$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';
			if($vcmp_post_display_date == 'true') {
				$return .= '<span class="admp-date"><i class="icon-calendar"></i>'.get_the_date($vcmp_post_display_date_format).'</span>';
			}
			if($vcmp_post_display_excerpt == 'true') {
				$return .= '<span class="admp-content">'.vcmegaposts_excerpt($vcmp_post_display_excerpt_number).'</span>';
			}
			$return .= '<a class="admp-read-more" href="'.$link.'">'.__('Read More','vcmegaposts').'</a>';
			$return .= '</div>';			
			$return .= '</div>';
			
			if($count % $columns == '0') {		
				$return .= '<br class="adclear">';
			}			

		/**********************************************************************/
		/******************************** TYPE 4 ******************************/
		/**********************************************************************/
					
		} elseif($vcmp_post_display_type == 'posts_type4') {
			
			$return .= '<div class="container-display4"><div class="admegaposts-thumbs-container ad_one_half">'.vcmegaposts_thumbs().'
						<span class="admp-view">'.vcmegaposts_post_info(false,false,false,false,$vcmp_post_display_views,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_post_display_date_format).'</span>		
						</div>';
	
			$return .= '<div class="admp-info-right ad_one_half ad_last">';		
			$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';
			$return .= '<span class="admp-details">'.vcmegaposts_post_info($vcmp_post_display_date,$vcmp_post_display_comments,$vcmp_post_display_author,$vcmp_post_display_category,false,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_post_display_date_format).'</span>';
			if($vcmp_post_display_excerpt == 'true') {
				$return .= '<span class="admp-content">'.vcmegaposts_excerpt($vcmp_post_display_excerpt_number).'</span>';
			}
			$return .= '<a class="admp-read-more" href="'.$link.'">'.__('Read More','vcmegaposts').'</a>';		
			$return .= '</div>';
			$return .= '<div class="adclear"></div></div>';			
			
			
		/**********************************************************************/
		/******************************** TYPE 5 ******************************/
		/**********************************************************************/
					
		} elseif($vcmp_post_display_type == 'posts_type5') {
			
			if($count == '0') {
				
				$return .= '<div class="admp-info-left ad_one_half"><div class="admp-thumbs-container">'.vcmegaposts_thumbs().'</div>';
				$return .= vcmegaposts_post_info($vcmp_post_display_date,false,false,false,false,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_post_display_date_format);			
				$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';		
				if($vcmp_post_display_excerpt == 'true') {
					$return .= '<span class="admp-content">'.vcmegaposts_excerpt($vcmp_post_display_excerpt_number).'</span>';
				}
				$return .= '<a class="admp-read-more" href="'.$link.'">'.__('Read More','vcmegaposts').'</a>';		
				$return .= '<span class="admp-details">'.vcmegaposts_post_info(false,$vcmp_post_display_comments,$vcmp_post_display_author,$vcmp_post_display_category,false,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_post_display_date_format).'</span>';
				$return .= '</div>';
	
			} else {
				
				$return .= '<div class="admp-info-right ad_one_half ad_last">';		
				$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';
				$return .= '</div>';		
				
			}					
			
		}
		
		$count++;
		endwhile;
		}		

		/**********************************************************************/
		/****************************** PAGINATION ****************************/
		/**********************************************************************/ 
		if($vcmp_query_pagination == 'yes') {
				$return .= '<div class="adclear"></div><div class="vcmp-post-display-'.$instance.' vcmp-pagination">';
				if($vcmp_query_pagination_type == 'numeric') {
					$return .= vcmegaposts_numeric_pagination($pages = '', $range = 2,$loop);
				} else {
					$return .= get_next_posts_link( 'Older posts', $loop->max_num_pages );
					$return .= get_previous_posts_link( 'Newer posts' );				
				}
				$return .= '</div>';
		}
		/**********************************************************************/
		/***************************** #PAGINATION ****************************/
		/**********************************************************************/ 

		
		$return .= '</div>'; // CLOSE MAIN DIV


		/**********************************************************************/
		/******************************** TYPE 2 ******************************/
		/**********************************************************************/		
		

		if($vcmp_animate == 'on') { 
		
			$return .= '</div>';
			
		}
		
		return $return;
    } 
}
new vcmpcp_post_display_function();
?>