<?php
/*
File: newsticker.php
Description: Function Post Display
Plugin: VC Mega Posts
Author: Ad-theme.com
*/
class vcmpcp_newsticker_function extends vcmegaposts_newsticker_class {
public function vcmegaposts_newsticker_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_newsticker_type" 					=> 'newsticker1',
				"vcmp_newsticker_excerpt" 				=> 'true',				
				"vcmp_newsticker_excerpt_number" 		=> '',
				"vcmp_newsticker_type2_excerpt_number" 	=> '',
				"vcmp_newsticker_date"					=> 'true',
				"vcmp_newsticker_date_format" 			=> 'F j, Y g:i a',
				"vcmp_newsticker_comments" 				=> 'true',
				"vcmp_newsticker_author" 				=> 'true',
				"vcmp_newsticker_category" 				=> 'true',
				"vcmp_newsticker_views" 				=> 'true',
				"vcmp_newsticker_item_show"				=> '',
								
				"vcmp_query_source" 					=> 'wp_posts',
				"vcmp_query_sticky_posts" 				=> 'allposts',
				"vcmp_query_posts_type" 				=> '',
				"vcmp_query_categories" 				=> '',
				"vcmp_query_order" 						=> 'DESC',
				"vcmp_query_orderby" 					=> 'date',
				"vcmp_query_pagination" 				=> '',
				"vcmp_query_pagination_type" 			=> '',
				"vcmp_query_number" 					=> '',
				"vcmp_query_posts_for_page" 			=> '',
				
				"vcmp_font_type" 						=> 'vcmp-font-default',
				"vcmp_google_fonts" 					=> '',
				"vcmp_custom_style"						=> '',
				"vcmp_main_color" 						=> '',										
				  
				"vcmp_animate" 							=> 'off',
				"vcmp_animate_effect" 					=> 'fade-in',
				"vcmp_delay" 							=> '800' 
				), 
				$atts)
	);

	if($vcmp_font_type == 'vcmp-google-font') {

			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/

			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');	

	}

	/* LOAD CSS && JS */	
	wp_enqueue_style( 'vcmpcp-normalize' );
	wp_enqueue_style( 'vcmpcp-animations' );
	wp_enqueue_style( 'vcmpcp-fonts' );
	wp_enqueue_style( 'vcmpcp-posts' );
	wp_enqueue_style( 'vcmpcp-style' );
	wp_enqueue_style( 'vcmpcp-widget' );
	wp_enqueue_script( 'vcmpcp-appear-js' );
	wp_enqueue_script( 'vcmpcp-animate-js' );	
	wp_enqueue_script( 'vcmpcp-newsticker-js' );
	
	/* CHECK VALUE EMPTY */
	if($vcmp_newsticker_excerpt_number == '') { $vcmp_newsticker_excerpt_number = '50'; }


		// LOOP QUERY
		$query = vcmegaposts_query($vcmp_query_source,
							$vcmp_query_sticky_posts, 
							$vcmp_query_posts_type, 
							$vcmp_query_categories, 
							$vcmp_query_order, 
							$vcmp_query_orderby, 
							'no', 
							$vcmp_query_pagination_type,
							$vcmp_query_number, 
							$vcmp_query_posts_for_page);


			$return = '<div class="adclear"></div>';

		if($vcmp_animate == 'on') { // ANIMATION ON
			$return .= '<div class="animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';
		}


		/**********************************************************************/
		/******************************** TYPE 1 ******************************/
		/**********************************************************************/
		
		if($vcmp_newsticker_type == 'newsticker1') {

		

			$return .= "<style type=\"text/css\">";
						if($vcmp_font_type == 'vcmp-google-font') {
							$return .=  '.admpselector-'.$instance.' {
								font-family:'.$font_name_slip.'!important;
								font-style:'.$font_style.'!important;
								font-weight:'.$font_weight.'!important;
						  	}';	
						}	
			if($vcmp_custom_style == 'on') {
						
				$return .= ".posts_newsticker_type1.admpselector-$instance li {
							border-bottom-color:{$vcmp_main_color};
						}
						</style>";
					
			} else {
				
				$return .= '</style>';				
			
			}
					
		$return .= '<script type="text/javascript">
					jQuery(document).ready(function($){
            			var nt_example1 = $(\'#admp-newsticker-type1-'.$instance.'\').newsTicker({
							row_height: 83,
							max_rows: '.$vcmp_newsticker_item_show.',
							duration: 4000,
							prevButton: $(\'#newsticker-prev-'.$instance.'\'),
							nextButton: $(\'#newsticker-next-'.$instance.'\')
            			});				
					}); 
					</script>';			
		
		$return .= '<div class="adclear"></div><div class="admp-newsticker-'.$instance.' admegaposts posts_newsticker_type1 admpselector-'.$instance.'">'; // OPEN MAIN DIV
		$return .= '<i class="icon-arrow-up" id="newsticker-prev-'.$instance.'"></i>';
		$return .= '<ul id="admp-newsticker-type1-'.$instance.'">';
		$count = 0;
		$loop = new WP_Query($query);
		if($loop) { 
		while ( $loop->have_posts() ) : $loop->the_post();		
		$id_post = get_the_id();		
		?>
        <?php $return .= '<li>'; ?>
        
		<?php if (has_post_thumbnail() ) { 
		
        $return .= '<div class="mega-thumb">';
		$return .= '<a href="'.get_the_permalink().'" title="'.get_the_title().'">'.vcmegaposts_thumbs().'</a>';
		$return .= '</div>';	
        
		}
        
        $return .= '<div class="mega-info">
        <div class="mega-title">
        <a href="'.get_the_permalink().'" title="'.get_the_title().'">		
		'.get_the_title().'
        </a>
		</div>';
		
		if ( get_the_date() ) {
        
        $return .= '<div class="mega-date">';
		$return .= vcmegaposts_post_info($vcmp_newsticker_date,$vcmp_newsticker_comments,$vcmp_newsticker_author,$vcmp_newsticker_category,$vcmp_newsticker_views,$vcmp_query_source,$vcmp_query_posts_type,$vcmp_newsticker_date_format);        
        $return .= '</div>';
        
        }       
        
		$return .= '</div>
        
        <div class="clearfix"></div>
        
        </li>';
		
		$count++;
		endwhile;
		}		
		
		$return .= '</ul><i class="icon-arrow-down" id="newsticker-next-'.$instance.'"></i></div>'; // CLOSE MAIN DIV
		
		/**********************************************************************/
		/******************************** TYPE 2 ******************************/
		/**********************************************************************/
		
		} elseif($vcmp_newsticker_type == 'newsticker2') {

			$return .= "<style type=\"text/css\">";
						if($vcmp_font_type == 'vcmp-google-font') {
							$return .=  '.admpselector-'.$instance.' {
								font-family:'.$font_name_slip.'!important;
								font-style:'.$font_style.'!important;
								font-weight:'.$font_weight.'!important;
						  	}';	
						}	
						
		if($vcmp_custom_style == 'on') {
							
			$return .= ".posts_newsticker_type2.admpselector-$instance li {
							background:{$vcmp_main_color};
						}
						.posts_newsticker_type2.admpselector-$instance .newsticker-info {
							background:{$vcmp_main_color};
						}
						.posts_newsticker_type2.admpselector-$instance #newsticker-infos-triangle {
							border-color:rgba(0,0,0,0.0) rgba(0,0,0,0.0) {$vcmp_main_color};
						}
		 	     	</style>";
		
		} else {
			
			$return .= '</style>';	
		
		}
		$return .= '<script type="text/javascript">
					jQuery(document).ready(function($){
            			var nt_example1 = $(\'#admp-newsticker-'.$instance.'\').newsTicker({
							row_height: 55,
							max_rows: 1,
							duration: 4000,
							speed: 300,
							prevButton: $(\'#newsticker-prev-'.$instance.'\'),
							nextButton: $(\'#newsticker-next-'.$instance.'\'),
							hasMoved: function() {
								$(\'#newsticker-infos-container'.$instance.'\').fadeOut(200, function(){
								$(\'#newsticker-infos-'.$instance.' .infos-hour\').text($(\'#admp-newsticker-'.$instance.' li:first span\').text());
								$(\'#newsticker-infos-'.$instance.' .infos-text\').text($(\'#admp-newsticker-'.$instance.' li:first\').data(\'infos\'));
								$(this).fadeIn(400);
	                		});
                			},
                			pause: function() {
                				$(\'#admp-newsticker-'.$instance.' li i\').removeClass(\'icon-play3\').addClass(\'icon-pause2\');
                			},
                			unpause: function() {
                			$(\'#admp-newsticker-'.$instance.' li i\').removeClass(\'icon-pause2\').addClass(\'icon-play3\');
                		}
            		});								
					}); 
					</script>';			
		
		$return .= '<div class="adclear"></div><div class="admp-newsticker-'.$instance.' admegaposts posts_newsticker_type2 admpselector-'.$instance.'">'; // OPEN MAIN DIV
		$return .= '<ul id="admp-newsticker-'.$instance.'">';
		$count = 0;
		$loop = new WP_Query($query);
		if($loop) { 
		while ( $loop->have_posts() ) : $loop->the_post();		
		$id_post = get_the_id();
		$link = get_permalink(); 		
		?>
        <?php $return .= '<li data-infos="'.vcmegaposts_excerpt($vcmp_newsticker_type2_excerpt_number).'">'; 
        
        $return .= '<i class="icon-play3"></i><span class="hour">'.get_the_date($vcmp_newsticker_date_format).'</span><a href="'.$link.'">'.get_the_title().'</a>';
		
        
        $return .= '</li>';
		
		$count++;
		endwhile;
		}		
		
		$return .= '</ul>';
		
		$count2 = '0';
		if($loop) { 
		while ( $loop->have_posts() ) : $loop->the_post();	
		
		if($count2 == '0') {
				$return .=	'<div id="newsticker-infos-container'.$instance.'" class="newsticker-info">
									<div id="newsticker-infos-triangle"></div>
									<div id="newsticker-infos-'.$instance.'" >
										<div class="ad_one_fourth">
											<div class="infos-hour">
												'.get_the_date($vcmp_newsticker_date_format).'
											</div>
											<i class="icon-arrow-left" id="newsticker-prev-'.$instance.'"></i>
											<i class="icon-arrow-right" id="newsticker-next-'.$instance.'"></i>
										</div>
										<div class="ad_three_fourth ad_last">
											<div class="infos-text">'.vcmegaposts_excerpt($vcmp_newsticker_type2_excerpt_number).'</div>
										</div>
									</div>
									<div class="adclear"></div>
								</div>';
			} else {
				break;
			}
		$count2++;	
		endwhile;
		}
		
				
		$return .= '</div>'; // CLOSE MAIN DIV
			
		}

		if($vcmp_animate == 'on') { 
		
			$return .= '</div>';
			
		}
		
		return $return;
    } 
}
new vcmpcp_newsticker_function();
?>